/*
 * Copyright (c) 2007 Ted Mielczarek
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * */

var fullpagezoom = {
  prefs: Components.classes["@mozilla.org/preferences-service;1"].
  getService(Components.interfaces.nsIPrefService).getBranch("extensions.fullpagezoom."),

  onZoomNormal: function(e) {
    getBrowser().mCurrentBrowser.markupDocumentViewer.fullZoom = 1;
  },

  calcZoomFactor : function() {
    return fullpagezoom.prefs.getIntPref("zoomfactor") / 100;
  },

  onZoomIn: function(e) {
    getBrowser().mCurrentBrowser.markupDocumentViewer.fullZoom *= fullpagezoom.calcZoomFactor();
  },

  onZoomOut: function(e) {
    getBrowser().mCurrentBrowser.markupDocumentViewer.fullZoom /= fullpagezoom.calcZoomFactor();
  }

};

